Bug 177462 - [mac-wk1] Layout test webrtc/datachannel/bufferedAmountLowThreshold tests are flaky
Summary: [mac-wk1] Layout test webrtc/datachannel/bufferedAmountLowThreshold tests are...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-09-25 13:56 PDT by Matt Lewis
Modified: 2017-09-28 10:56 PDT (History)
7 users (show)

See Also:


Attachments
Patch (2.75 KB, patch)
2017-09-27 09:38 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (3.59 KB, patch)
2017-09-27 09:43 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews105 for mac-elcapitan-wk2 (1.36 MB, application/zip)
2017-09-27 10:39 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews126 for ios-simulator-wk2 (947.62 KB, application/zip)
2017-09-27 13:15 PDT, Build Bot
no flags Details
Patch (3.59 KB, patch)
2017-09-27 15:01 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Lewis 2017-09-25 13:56:39 PDT
webrtc/datachannel/bufferedAmountLowThreshold-default.html is a flaky failure on macOS WK1 according to the dashboard:

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=webrtc%2Fdatachannel%2FbufferedAmountLowThreshold-default.html

Current build:

https://build.webkit.org/results/Apple%20Sierra%20Debug%20WK1%20(Tests)/r222448%20(3793)/results.html
https://build.webkit.org/builders/Apple%20Sierra%20Debug%20WK1%20(Tests)/builds/3793

diff:

--- /Volumes/Data/slave/sierra-debug-tests-wk1/build/layout-test-results/webrtc/datachannel/bufferedAmountLowThreshold-default-expected.txt
+++ /Volumes/Data/slave/sierra-debug-tests-wk1/build/layout-test-results/webrtc/datachannel/bufferedAmountLowThreshold-default-actual.txt
@@ -1,3 +1,3 @@
 
-PASS Default buffer threshold 
+FAIL Default buffer threshold promise_test: Unhandled rejection with value: "timed out"
Comment 1 youenn fablet 2017-09-27 09:38:37 PDT
Created attachment 321964 [details]
Patch
Comment 2 youenn fablet 2017-09-27 09:43:01 PDT
Created attachment 321966 [details]
Patch
Comment 3 Build Bot 2017-09-27 10:39:57 PDT
Comment on attachment 321966 [details]
Patch

Attachment 321966 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/4677109

New failing tests:
webrtc/datachannel/bufferedAmountLowThreshold.html
Comment 4 Build Bot 2017-09-27 10:39:58 PDT
Created attachment 321973 [details]
Archive of layout-test-results from ews105 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 5 Build Bot 2017-09-27 13:15:30 PDT
Comment on attachment 321966 [details]
Patch

Attachment 321966 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/4679039

New failing tests:
webrtc/datachannel/bufferedAmountLowThreshold.html
Comment 6 Build Bot 2017-09-27 13:15:32 PDT
Created attachment 322010 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.6
Comment 7 youenn fablet 2017-09-27 15:01:11 PDT
Created attachment 322024 [details]
Patch
Comment 8 WebKit Commit Bot 2017-09-28 10:56:19 PDT
Comment on attachment 322024 [details]
Patch

Clearing flags on attachment: 322024

Committed r222616: <http://trac.webkit.org/changeset/222616>
Comment 9 WebKit Commit Bot 2017-09-28 10:56:21 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Radar WebKit Bug Importer 2017-09-28 10:56:50 PDT
<rdar://problem/34718437>